Skip to content
Skip to main content
GET
https://api.us.nylas.com/v3/domains

List domains

Lists your organization's domains, newest first.

To get the next page, pass next_cursor as page_token. When a response doesn't include next_cursor, there are no more results.

Requires an IAM API key with the domains.read permission. Application API keys and access tokens don't work.

Parameters

Query parameters

limitinteger

The maximum number of objects to return. See Pagination for more information.

Default: 50
page_tokenstring

The next_cursor value from the previous response.

domainstring

Return only the domain with this address.

Example: "mail.example.com"

Responses

request_idstring

ID of the request.

Example: "5fa64c92-e840-4357-86b9-2aa364d35b88"
dataarray<object>
next_cursorstring

The cursor for the next page. Pass it as page_token. Not included on the last page.

Example: "MTc2NTQwMzQ1NDI1MTpjcmVhdGVkX2F0OnRzOkRFU0M"
GEThttps://api.us.nylas.com/v3/domains?limit=50&domain=mail.example.com

Paste the authorization token required for this endpoint.

limitinteger

The maximum number of objects to return. See Pagination for more information.

page_tokenstring

The next_cursor value from the previous response.

domainstring

Return only the domain with this address.